GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Related Functions

- :
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- raw_deadline() : grpc::ClientContext , grpc::ServerContext
- raw_time() : grpc::TimePoint< T > , grpc::TimePoint< gpr_timespec > , grpc::TimePoint< std::chrono::system_clock::time_point >
- Read() : grpc::AsyncReaderInterface< R > , grpc::ClientAsyncReader< R > , grpc::ClientAsyncReaderWriter< R, W > , grpc::ClientReader< R > , grpc::ClientReaderWriter< R, W > , grpc::ReaderInterface< R > , grpc::ServerAsyncReader< W, R > , grpc::ServerAsyncReaderWriter< R, W > , grpc::ServerReader< R > , grpc::ServerReaderWriter< R, W >
- ReadInitialMetadata() : grpc::ClientAsyncReader< R > , grpc::ClientAsyncReaderWriter< R, W > , grpc::ClientAsyncResponseReader< R > , grpc::ClientAsyncResponseReaderInterface< R > , grpc::ClientAsyncStreamingInterface , grpc::ClientAsyncWriter< W >
- RecvInitialMetadata() : grpc::CallOpRecvInitialMetadata
- RecvMessage() : grpc::CallOpGenericRecvMessage , grpc::CallOpRecvMessage< R >
- RegisterAsyncGenericService() : grpc::ServerBuilder
- RegisterAsyncService() : grpc::ServerBuilder
- RegisterMethod() : grpc::ChannelInterface
- RegisterService() : grpc::ServerBuilder
- request : grpc::MethodHandler::HandlerParameter
- RequestAsyncUnary() : grpc::AsynchronousService
- RequestBidiStreaming() : grpc::AsynchronousService
- RequestCall() : grpc::AsyncGenericService
- RequestClientStreaming() : grpc::AsynchronousService
- RequestServerStreaming() : grpc::AsynchronousService
- RpcMethod() : grpc::RpcMethod
- RpcMethodHandler : grpc::CompletionQueue , grpc::RpcMethodHandler< ServiceType, RequestType, ResponseType > , grpc::ServerContext
- RpcServiceMethod() : grpc::RpcServiceMethod
- RpcType : grpc::RpcMethod
- RunHandler() : grpc::BidiStreamingHandler< ServiceType, RequestType, ResponseType > , grpc::ClientStreamingHandler< ServiceType, RequestType, ResponseType > , grpc::MethodHandler , grpc::RpcMethodHandler< ServiceType, RequestType, ResponseType > , grpc::ServerStreamingHandler< ServiceType, RequestType, ResponseType >